Bug 442399 - system-switch-java does not set all plugin alternatives
system-switch-java does not set all plugin alternatives
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-switch-java (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Rodney Russ
: ZStream
Depends On:
Blocks: 442459
  Show dependency treegraph
 
Reported: 2008-04-14 13:26 EDT by Thomas Fitzsimmons
Modified: 2013-10-02 08:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-02 08:03:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas Fitzsimmons 2008-04-14 13:26:44 EDT
Description of problem:

system-switch-java sets only IBM 1.4.2 and IBM 1.5.0 plugin alternatives.

Version-Release number of selected component (if applicable):

system-switch-java-1.1.0-2.el5

How reproducible:

Always.

Steps to Reproduce:
1. Install java-1.6.0-ibm-plugin
2. Run system-switch-java
3. Select IBM 1.6.0
4. Click Close button

Actual results:

IBM libjavaplugin.so alternative is not set.

Expected results:

IBM libjavaplugin.so should be set.

Additional info:

This problem is fixed in Fedora's system-switch-java.  The fix needs to be
backported to RHEL-5.
Comment 2 RHEL Product and Program Management 2008-04-14 13:38:52 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 5 Thomas Fitzsimmons 2008-04-14 16:56:57 EDT
This bug means that system-switch-java, though it can select the java, javac and
other alternatives in java-1.6.0-ibm and java-1.6.0-sun, will not select the
libjavaplugin.so alternatives in these 1.6 packages.

The workaround is to run, as root, in a terminal:

/usr/sbin/alternatives --config libjavaplugin.so

and select the desired plugin.

I have fixed packages ready-to-build if this bug is deemed OK for RHEL-5.1.z.
Comment 7 Suzanne Yeghiayan 2008-04-14 17:17:03 EDT
This bug has been copied as z-stream (EUS) bug 442459 and now must be resolved
in the current update release, set blocker flag.
Comment 8 Thomas Fitzsimmons 2008-04-15 14:03:14 EDT
system-switch-java-1.1.2-1.el5_1 built in RHEL-5.1-Z-candidate.
Comment 10 Red Hat Bugzilla 2008-07-24 21:04:20 EDT
Adding patrickm@redhat.com to the cc list as the manager of the disabled user fitzsim@redhat.com who reported this bug

Note You need to log in before you can comment on or make changes to this bug.